Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3._2000._09.xmldsig
Class SignatureMethod

    java.lang.Object
      org.w3._2000._09.xmldsig.SignatureMethod

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:14:10+01:00",
               comments="JAXB RI v2.3.6")
    public class SignatureMethod

extends Object
implements Serializable

Java class for SignatureMethodType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SignatureMethodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="HMACOutputLength" type="{http://www.w3.org/2000/09/xmldsig#}HMACOutputLengthType" minOccurs="0"/>
             <any namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Algorithm" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SignatureMethod()`

Method Summary
`String` | `getAlgorithm()` Gets the value of the algorithm property.
`List<Object>` | `getContent()` Gets the value of the content property.
`void` | `setAlgorithm(String value)` Sets the value of the algorithm property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureMethod

    public SignatureMethod()

Method Detail

### getContent

    public List<Object> getContent()

  Gets the value of the content property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

  For example, to add a new item, do as follows:

          getContent().add(newItem);

  Objects of the following type(s) are allowed in the list `Object` `String` `JAXBElement``<``BigInteger``>`

### getAlgorithm

    public String getAlgorithm()

  Gets the value of the algorithm property.

  Returns:
    possible object is `String`

### setAlgorithm

    public void setAlgorithm(String value)

  Sets the value of the algorithm property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.